Bug 985067 - setcifsacl should still work when plugin can't be loaded
setcifsacl should still work when plugin can't be loaded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cifs-utils (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Sachin Prabhu
Chao Ye
:
Depends On: 984087
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 13:19 EDT by Jeff Layton
Modified: 2014-06-18 03:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 984087
Environment:
Last Closed: 2014-06-13 08:20:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2013-07-16 13:19:16 EDT
+++ This bug was initially created as a clone of Bug #984087 +++

Currently setcifsacl just returns an error if it can't load the plugin. It should instead allow a user to supply a "raw" SID string in that case. getcifsacl will already print them, so it's just a matter of accepting them in reverse.

--- Additional comment from Fedora Update System on 2013-07-15 11:59:34 EDT ---

cifs-utils-6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cifs-utils-6.1-3.fc19
Comment 1 Jeff Layton 2013-07-17 08:29:29 EDT
Fixed in cifs-utils-6.1-3.el7
Comment 3 Jian Li 2014-01-06 04:45:52 EST
Verified on rhel7
[root@hp-dl388g8-18 etc]# rpm -q cifs-utils 
cifs-utils-6.2-4.el7.x86_64

/etc/cifs-utils/idmap-plugin is moved to unknown place
[root@hp-dl388g8-18 etc]# tree /etc/cifs-utils
/etc/cifs-utils
└── test
    └── idmap-plugin -> /etc/alternatives/cifs-idmap-plugin

1 directory, 1 file



When idmap plugin file is moved, {s/g}etcifsacl all work on raw SID.


[root@hp-dl388g8-18 etc]# wbinfo -n root
S-1-5-21-2334666784-1356699577-29969081-1101 SID_USER (1)
[root@hp-dl388g8-18 etc]# getcifsacl /mnt/test/test.txt
WARNING: unable to initialize idmapping plugin: /etc/cifs-utils/idmap-plugin: cannot open shared object file: No such file or directory
REVISION:0x1
CONTROL:0x8004
OWNER:S-1-5-21-2334666784-1356699577-29969081-500
GROUP:S-1-5-21-2334666784-1356699577-29969081-513
ACL:S-1-5-21-116981335-494429682-2371366720-500:ALLOWED/I/FULL
ACL:S-1-5-21-116981335-494429682-2371366720-1102:ALLOWED/I/FULL
ACL:S-1-5-32-544:ALLOWED/I/FULL
ACL:S-1-5-18:ALLOWED/I/FULL
ACL:S-1-5-21-2334666784-1356699577-29969081-1106:ALLOWED/I/FULL
[root@hp-dl388g8-18 etc]# setcifsacl -a "ACL:S-1-5-21-2334666784-1356699577-29969081-1101:ALLOWED/I/FULL" /mnt/test/test.txt 
WARNING: unable to initialize idmapping plugin. Only "raw" SID strings will be accepted: /etc/cifs-utils/idmap-plugin: cannot open shared object file: No such file or directory
[root@hp-dl388g8-18 etc]# getcifsacl /mnt/test/test.txt
WARNING: unable to initialize idmapping plugin: /etc/cifs-utils/idmap-plugin: cannot open shared object file: No such file or directory
REVISION:0x1
CONTROL:0x8004
OWNER:S-1-5-21-2334666784-1356699577-29969081-500
GROUP:S-1-5-21-2334666784-1356699577-29969081-513
ACL:S-1-5-21-116981335-494429682-2371366720-500:ALLOWED/I/FULL
ACL:S-1-5-21-116981335-494429682-2371366720-1102:ALLOWED/I/FULL
ACL:S-1-5-32-544:ALLOWED/I/FULL
ACL:S-1-5-18:ALLOWED/I/FULL
ACL:S-1-5-21-2334666784-1356699577-29969081-1106:ALLOWED/I/FULL
ACL:S-1-5-21-2334666784-1356699577-29969081-1101:ALLOWED/I/FULL
Comment 5 Ludek Smid 2014-06-13 08:20:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.